import typing as t
from abc import ABC


class BaseUser(ABC):
    id: int
    first_name: str
    last_name: t.Union[str, None] = None
    username: t.Union[str, None] = None


class User(BaseUser):

    def __new__(cls, **kw):
        if "user_id" in kw:
            cls.id = kw["user_id"]
        if "first_name" in kw:
            cls.first_name = kw["first_name"]
        if "last_name" in kw:
            cls.last_name = kw["last_name"]
        if "username" in kw:
            cls.username = kw["username"]
        return cls
